$(function(){
var dayOfWeekNames = ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"];
var dateCellTemplate = function(cellData, index, container) {
container.append(
$("<div />")
.addClass("name")
.text(dayOfWeekNames[cellData.date.getDay()]),
$("<div />")
.addClass("number")
.text(cellData.date.getDate())
);
};
$("#scheduler").dxScheduler({
timeZone: "America/Los_Angeles",
height: 600,
dataSource: data,
showAllDayPanel: false,
views: ["day",
{
type: "week",
groups: ["typeId"],
dateCellTemplate: dateCellTemplate
}, {
type: "workWeek",
startDayHour: 9,
endDayHour: 18,
groups: ["priorityId"],
dateCellTemplate: dateCellTemplate
},
"month"],
currentView: "workWeek",
currentDate: new Date(2021, 4, 25),
startDayHour: 7,
endDayHour: 23,
resources: [{
fieldExpr: "priorityId",
allowMultiple: false,
dataSource: priorityData,
label: "Priority"
}, {
fieldExpr: "typeId",
allowMultiple: false,
dataSource: typeData,
label: "Type"
}]
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="scheduler"></div>
</div>
</body>
</html>
.dx-scheduler-work-space-week .dx-scheduler-header-panel-cell,
.dx-scheduler-work-space-work-week .dx-scheduler-header-panel-cell {
text-align: center;
vertical-align: middle;
}
.dx-scheduler-work-space .dx-scheduler-header-panel-cell .name {
font-size: 13px;
line-height: 15px
}
.dx-scheduler-work-space .dx-scheduler-header-panel-cell .number {
font-size: 15px;
line-height: 15px
}
var data = [{
text: "Walking a dog",
priorityId: 1,
typeId: 1,
startDate: new Date("2021-05-24T15:00:00.000Z"),
endDate: new Date("2021-05-24T15:30:00.000Z"),
recurrenceRule: "FREQ=DAILY;BYDAY=MO,TU,WE,TH,FR;UNTIL=20210530"
},
{
text: "Website Re-Design Plan",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-24T16:00:00.000Z"),
endDate: new Date("2021-05-24T18:30:00.000Z")
}, {
text: "Book Flights to San Fran for Sales Trip",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-24T19:00:00.000Z"),
endDate: new Date("2021-05-24T20:00:00.000Z")
}, {
text: "Install New Router in Dev Room",
priorityId: 1,
typeId: 2,
startDate: new Date("2021-05-24T21:30:00.000Z"),
endDate: new Date("2021-05-24T22:30:00.000Z")
}, {
text: "Go Grocery Shopping",
priorityId: 1,
typeId: 1,
startDate: new Date("2021-05-25T01:30:00.000Z"),
endDate: new Date("2021-05-25T02:30:00.000Z"),
recurrenceRule: "FREQ=DAILY;BYDAY=MO,WE,FR;UNTIL=20210530"
}, {
text: "Approve Personal Computer Upgrade Plan",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-25T17:00:00.000Z"),
endDate: new Date("2021-05-25T18:00:00.000Z")
}, {
text: "Final Budget Review",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-25T19:00:00.000Z"),
endDate: new Date("2021-05-25T20:35:00.000Z")
}, {
text: "New Brochures",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-25T21:30:00.000Z"),
endDate: new Date("2021-05-25T22:45:00.000Z")
}, {
text: "Install New Database",
priorityId: 1,
typeId: 2,
startDate: new Date("2021-05-26T16:45:00.000Z"),
endDate: new Date("2021-05-26T18:15:00.000Z")
}, {
text: "Approve New Online Marketing Strategy",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-26T19:00:00.000Z"),
endDate: new Date("2021-05-26T21:00:00.000Z")
}, {
text: "Upgrade Personal Computers",
priorityId: 1,
typeId: 2,
startDate: new Date("2021-05-26T22:15:00.000Z"),
endDate: new Date("2021-05-26T23:30:00.000Z")
}, {
text: "Prepare 2021 Marketing Plan",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-27T18:00:00.000Z"),
endDate: new Date("2021-05-27T20:30:00.000Z")
}, {
text: "Brochure Design Review",
priorityId: 1,
typeId: 2,
startDate: new Date("2021-05-27T21:00:00.000Z"),
endDate: new Date("2021-05-27T22:30:00.000Z")
}, {
text: "Create Icons for Website",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-28T17:00:00.000Z"),
endDate: new Date("2021-05-28T18:30:00.000Z")
}, {
text: "Upgrade Server Hardware",
priorityId: 1,
typeId: 2,
startDate: new Date("2021-05-28T21:30:00.000Z"),
endDate: new Date("2021-05-28T23:00:00.000Z")
}, {
text: "Submit New Website Design",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-28T23:30:00.000Z"),
endDate: new Date("2021-05-29T01:00:00.000Z")
}, {
text: "Launch New Website",
priorityId: 2,
typeId: 2,
startDate: new Date("2021-05-28T19:20:00.000Z"),
endDate: new Date("2021-05-28T21:00:00.000Z")
}, {
text: "Visiting a Doctor",
priorityId: 2,
typeId: 1,
startDate: new Date("2021-05-29T17:00:00.000Z"),
endDate: new Date("2021-05-29T20:30:00.000Z")
}
];
var priorityData = [{
text: "Low Priority",
id: 1,
color: "#fcb65e"
}, {
text: "High Priority",
id: 2,
color: "#e18e92"
}
];
var typeData = [{
text: "Home",
id: 1,
color: "#b6d623"
}, {
text: "Work",
id: 2,
color: "#679ec5"
}
];

<dx-scheduler
[height]="600"
[dataSource]="dataSource"
dateCellTemplate="dateCellTemplate"
[showAllDayPanel]="false"
[views]="views"
currentView="workWeek"
[currentDate]="currentDate"
[startDayHour]="7"
[endDayHour]="23">
<dxi-resource
fieldExpr="priorityId"
[allowMultiple]="false"
[dataSource]="priorityData"
label="Priority">
</dxi-resource>
<dxi-resource
fieldExpr="typeId"
[allowMultiple]="false"
[dataSource]="typeData"
label="Type">
</dxi-resource>
<div *dxTemplate="let data of 'dateCellTemplate'">
<div class="name">{{['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'][data.date.getDay()]}}</div>
<div class="number">{{data.date.getDate()}}</div>
</div>
</dx-scheduler>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxSchedulerModule, DxTemplateModule } from 'devextreme-angular';
import { Service, PriorityData, TypeData } from './app.service';
import DataSource from 'devextreme/data/data_source';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service]
})
export class AppComponent {
dataSource: any;
currentDate: Date = new Date(2015, 4, 25);
priorityData: PriorityData[];
typeData: TypeData[];
views: any = ['day', {
type: 'week',
groups: ['typeId'],
dateCellTemplate: 'dateCellTemplate'
}, {
type: 'workWeek',
startDayHour: 9,
endDayHour: 18,
groups: ['priorityId'],
dateCellTemplate: 'dateCellTemplate'
}, 'month'];
constructor(service: Service) {
this.dataSource = new DataSource({
store: service.getData()
});
this.priorityData = service.getPriorityData();
this.typeData = service.getTypeData();
}
}
@NgModule({
imports: [
BrowserModule,
DxSchedulerModule,
DxTemplateModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .dx-scheduler-work-space-week .dx-scheduler-header-panel-cell,
::ng-deep .dx-scheduler-work-space-work-week .dx-scheduler-header-panel-cell {
text-align: center;
vertical-align: middle;
}
::ng-deep .dx-scheduler-work-space .dx-scheduler-header-panel-cell .name {
font-size: 13px;
line-height: 15px
}
::ng-deep .dx-scheduler-work-space .dx-scheduler-header-panel-cell .number {
font-size: 15px;
line-height: 15px
}
import { Injectable } from '@angular/core';
export class Data {
text: string;
priorityId: number;
typeId: number;
startDate: Date;
endDate: Date;
recurrenceRule?: string;
}
export class PriorityData {
text: string;
id: number;
color: string;
}
export class TypeData {
text: string;
id: number;
color: string;
}
let data: Data[] = [{
text: "Walking a dog",
priorityId: 1,
typeId: 1,
startDate: new Date(2015, 4, 25, 8, 0),
endDate: new Date(2015, 4, 25, 8, 30),
recurrenceRule: "FREQ=DAILY;BYDAY=MO,TU,WE,TH,FR;UNTIL=20150530"
}, {
text: "Website Re-Design Plan",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 25, 9, 0),
endDate: new Date(2015, 4, 25, 11, 30)
}, {
text: "Book Flights to San Fran for Sales Trip",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 25, 12, 0),
endDate: new Date(2015, 4, 25, 13, 0)
}, {
text: "Install New Router in Dev Room",
priorityId: 1,
typeId: 2,
startDate: new Date(2015, 4, 25, 14, 30),
endDate: new Date(2015, 4, 25, 15, 30)
}, {
text: "Go Grocery Shopping",
priorityId: 1,
typeId: 1,
startDate: new Date(2015, 4, 25, 18, 30),
endDate: new Date(2015, 4, 25, 19, 30),
recurrenceRule: "FREQ=DAILY;BYDAY=MO,WE,FR;UNTIL=20150530"
}, {
text: "Approve Personal Computer Upgrade Plan",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 26, 10, 0),
endDate: new Date(2015, 4, 26, 11, 0)
}, {
text: "Final Budget Review",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 26, 12, 0),
endDate: new Date(2015, 4, 26, 13, 35)
}, {
text: "New Brochures",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 26, 14, 30),
endDate: new Date(2015, 4, 26, 15, 45)
}, {
text: "Install New Database",
priorityId: 1,
typeId: 2,
startDate: new Date(2015, 4, 27, 9, 45),
endDate: new Date(2015, 4, 27, 11, 15)
}, {
text: "Approve New Online Marketing Strategy",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 27, 12, 0),
endDate: new Date(2015, 4, 27, 14, 0)
}, {
text: "Upgrade Personal Computers",
priorityId: 1,
typeId: 2,
startDate: new Date(2015, 4, 27, 15, 15),
endDate: new Date(2015, 4, 27, 16, 30)
}, {
text: "Prepare 2015 Marketing Plan",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 28, 11, 0),
endDate: new Date(2015, 4, 28, 13, 30)
}, {
text: "Brochure Design Review",
priorityId: 1,
typeId: 2,
startDate: new Date(2015, 4, 28, 14, 0),
endDate: new Date(2015, 4, 28, 15, 30)
}, {
text: "Create Icons for Website",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 29, 10, 0),
endDate: new Date(2015, 4, 29, 11, 30)
}, {
text: "Upgrade Server Hardware",
priorityId: 1,
typeId: 2,
startDate: new Date(2015, 4, 29, 14, 30),
endDate: new Date(2015, 4, 29, 16, 0)
}, {
text: "Submit New Website Design",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 29, 16, 30),
endDate: new Date(2015, 4, 29, 18, 0)
}, {
text: "Launch New Website",
priorityId: 2,
typeId: 2,
startDate: new Date(2015, 4, 29, 12, 20),
endDate: new Date(2015, 4, 29, 14, 0)
}, {
text: "Visiting a Doctor",
priorityId: 2,
typeId: 1,
startDate: new Date(2015, 4, 30, 10, 0),
endDate: new Date(2015, 4, 30, 13, 30)
}
];
let priorityData: PriorityData[] = [{
text: "Low Priority",
id: 1,
color: "#fcb65e"
}, {
text: "High Priority",
id: 2,
color: "#e18e92"
}
];
let typeData: TypeData[] = [{
text: "Home",
id: 1,
color: "#b6d623"
}, {
text: "Work",
id: 2,
color: "#679ec5"
}
];
@Injectable()
export class Service {
getPriorityData() {
return priorityData;
}
getTypeData() {
return typeData;
}
getData() {
return data;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "commonjs",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.4.5/lib/typescript.js',
'@angular/core': 'npm:@angular/core@8.0.0/bundles/core.umd.js',
'@angular/common': 'npm:@angular/common@8.0.0/bundles/common.umd.js',
'@angular/compiler': 'npm:@angular/compiler@8.0.0/bundles/compiler.umd.js',
'@angular/platform-browser': 'npm:@angular/platform-browser@8.0.0/bundles/platform-browser.umd.js',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@8.0.0/bundles/platform-browser-dynamic.umd.js',
'@angular/router': 'npm:@angular/router@8.0.0/bundles/router.umd.js',
'@angular/forms': 'npm:@angular/forms@8.0.0/bundles/forms.umd.js',
'@angular/common/http': 'npm:@angular/common@8.0.0/bundles/common-http.umd.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rxjs/operators': 'npm:rxjs@6.3.3/operators',
'devextreme': 'npm:devextreme@19.2',
'jszip': 'npm:jszip@3.1.3/dist/jszip.min.js',
'quill': 'npm:quill@1.3.7/dist/quill.js',
'devexpress-diagram': 'npm:devexpress-diagram',
'devexpress-gantt': 'npm:devexpress-gantt',
'devextreme-angular': 'npm:devextreme-angular@19.2'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'rxjs': { main: 'index.js', defaultExtension: 'js' },
'rxjs/operators': { main: 'index.js', defaultExtension: 'js' },
'devextreme-angular': {
main: 'index.js',
defaultExtension: 'js'
}
}
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.6.25/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxScheduler
time-zone="America/Los_Angeles"
:data-source="dataSource"
:current-date="currentDate"
:start-day-hour="7"
:end-day-hour="23"
:show-all-day-panel="false"
height="600"
current-view="workWeek"
>
<DxView
type="day"
/>
<DxView
:groups="typeGroups"
type="week"
date-cell-template="dateCellSlot"
/>
<DxView
:groups="priorityGroups"
:start-day-hour="9"
:end-day-hour="18"
type="workWeek"
date-cell-template="dateCellSlot"
/>
<DxView
type="month"
/>
<DxResource
:data-source="priorityData"
:allow-multiple="false"
field-expr="priorityId"
label="Priority"
/>
<DxResource
:data-source="typeData"
:allow-multiple="false"
field-expr="typeId"
label="Type"
/>
<template #dateCellSlot="{ data: dateCell }">
<DateCell :cell-data="dateCell"/>
</template>
</DxScheduler>
</template>
<script>
import DxScheduler, { DxResource, DxView } from 'devextreme-vue/scheduler';
import DateCell from './DateCell.vue';
import { data, priorityData, typeData } from './data.js';
const currentDate = new Date(2021, 3, 27);
export default {
components: {
DxScheduler,
DxResource,
DateCell,
DxView,
},
data() {
return {
currentDate,
dataSource: data,
priorityData,
typeData,
typeGroups: ['typeId'],
priorityGroups: ['priorityId'],
};
},
};
</script>
<style scoped>
.dx-scheduler-work-space-week .dx-scheduler-header-panel-cell,
.dx-scheduler-work-space-work-week .dx-scheduler-header-panel-cell {
text-align: center;
vertical-align: middle;
}
.dx-scheduler-work-space .dx-scheduler-header-panel-cell .name {
font-size: 13px;
line-height: 15px;
}
.dx-scheduler-work-space .dx-scheduler-header-panel-cell .number {
font-size: 15px;
line-height: 15px;
}
</style>
<template>
<div>
<div class="name">{{ dayOfWeekNames[cellData.date.getDay()] }}</div>
<div class="number"> {{ cellData.date.getDate() }}</div>
</div>
</template>
<script>
const dayOfWeekNames = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
export default {
props: {
cellData: {
type: Object,
default: () => {},
},
},
data() {
return {
dayOfWeekNames,
};
},
};
</script>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/21.2.7/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const data = [{
text: 'Walking a dog',
priorityId: 1,
typeId: 1,
startDate: new Date('2021-04-26T15:00:00.000Z'),
endDate: new Date('2021-04-26T15:30:00.000Z'),
recurrenceRule: 'FREQ=DAILY;BYDAY=MO,TU,WE,TH,FR;UNTIL=20210502',
},
{
text: 'Website Re-Design Plan',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-26T16:00:00.000Z'),
endDate: new Date('2021-04-26T18:30:00.000Z'),
}, {
text: 'Book Flights to San Fran for Sales Trip',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-26T19:00:00.000Z'),
endDate: new Date('2021-04-26T20:00:00.000Z'),
}, {
text: 'Install New Router in Dev Room',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-26T21:30:00.000Z'),
endDate: new Date('2021-04-26T22:30:00.000Z'),
}, {
text: 'Go Grocery Shopping',
priorityId: 1,
typeId: 1,
startDate: new Date('2021-04-27T01:30:00.000Z'),
endDate: new Date('2021-04-27T02:30:00.000Z'),
recurrenceRule: 'FREQ=DAILY;BYDAY=MO,WE,FR;UNTIL=20210502',
}, {
text: 'Approve Personal Computer Upgrade Plan',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-27T17:00:00.000Z'),
endDate: new Date('2021-04-27T18:00:00.000Z'),
}, {
text: 'Final Budget Review',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-27T19:00:00.000Z'),
endDate: new Date('2021-04-27T20:35:00.000Z'),
}, {
text: 'New Brochures',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-27T21:30:00.000Z'),
endDate: new Date('2021-04-27T22:45:00.000Z'),
}, {
text: 'Install New Database',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-28T16:45:00.000Z'),
endDate: new Date('2021-04-28T18:15:00.000Z'),
}, {
text: 'Approve New Online Marketing Strategy',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-28T19:00:00.000Z'),
endDate: new Date('2021-04-28T21:00:00.000Z'),
}, {
text: 'Upgrade Personal Computers',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-28T22:15:00.000Z'),
endDate: new Date('2021-04-28T23:30:00.000Z'),
}, {
text: 'Prepare 2021 Marketing Plan',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T20:30:00.000Z'),
}, {
text: 'Brochure Design Review',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-29T21:00:00.000Z'),
endDate: new Date('2021-04-29T22:30:00.000Z'),
}, {
text: 'Create Icons for Website',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-30T17:00:00.000Z'),
endDate: new Date('2021-04-30T18:30:00.000Z'),
}, {
text: 'Upgrade Server Hardware',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-30T21:30:00.000Z'),
endDate: new Date('2021-04-30T23:00:00.000Z'),
}, {
text: 'Submit New Website Design',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-30T23:30:00.000Z'),
endDate: new Date('2021-05-01T01:00:00.000Z'),
}, {
text: 'Launch New Website',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-30T19:20:00.000Z'),
endDate: new Date('2021-04-30T21:00:00.000Z'),
}, {
text: 'Visiting a Doctor',
priorityId: 2,
typeId: 1,
startDate: new Date('2021-05-01T17:00:00.000Z'),
endDate: new Date('2021-05-01T20:30:00.000Z'),
},
];
export const priorityData = [{
text: 'Low Priority',
id: 1,
color: '#fcb65e',
}, {
text: 'High Priority',
id: 2,
color: '#e18e92',
},
];
export const typeData = [{
text: 'Home',
id: 1,
color: '#b6d623',
}, {
text: 'Work',
id: 2,
color: '#679ec5',
},
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@21.2.7/cjs',
'devextreme-vue': 'npm:devextreme-vue@21.2.7',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.14/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.47/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.0.13/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@2.3.14',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@2.3.14/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import Scheduler, { Resource, View } from 'devextreme-react/scheduler';
import { data, priorityData, typeData } from './data.js';
const currentDate = new Date(2021, 3, 27);
const dayOfWeekNames = ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'];
const typeGroups = ['typeId'];
const priorityGroups = ['priorityId'];
class App extends React.Component {
render() {
return (
<Scheduler
timeZone="America/Los_Angeles"
dataSource={data}
defaultCurrentView="workWeek"
showAllDayPanel={false}
defaultCurrentDate={currentDate}
height={600}
startDayHour={7}
endDayHour={23}
>
<View
type="day"
/>
<View
type="week"
groups={typeGroups}
dateCellRender={renderDateCell}
/>
<View
type="workWeek"
groups={priorityGroups}
startDayHour={9}
endDayHour={18}
dateCellRender={renderDateCell}
/>
<View
type="month"
/>
<Resource
dataSource={priorityData}
fieldExpr="priorityId"
label="Priority"
allowMultiple={false}
/>
<Resource
dataSource={typeData}
fieldExpr="typeId"
label="Type"
allowMultiple={false}
/>
</Scheduler>
);
}
}
function renderDateCell(cellData) {
return (
<React.Fragment>
<div className="name">{dayOfWeekNames[cellData.date.getDay()]}</div>
<div className="number">{cellData.date.getDate()}</div>
</React.Fragment>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.dx-scheduler-work-space-week .dx-scheduler-header-panel-cell,
.dx-scheduler-work-space-work-week .dx-scheduler-header-panel-cell {
text-align: center;
vertical-align: middle;
}
.dx-scheduler-work-space .dx-scheduler-header-panel-cell .name {
font-size: 13px;
line-height: 15px;
}
.dx-scheduler-work-space .dx-scheduler-header-panel-cell .number {
font-size: 15px;
line-height: 15px;
}
export const data = [{
text: 'Walking a dog',
priorityId: 1,
typeId: 1,
startDate: new Date('2021-04-26T15:00:00.000Z'),
endDate: new Date('2021-04-26T15:30:00.000Z'),
recurrenceRule: 'FREQ=DAILY;BYDAY=MO,TU,WE,TH,FR;UNTIL=20210502',
},
{
text: 'Website Re-Design Plan',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-26T16:00:00.000Z'),
endDate: new Date('2021-04-26T18:30:00.000Z'),
}, {
text: 'Book Flights to San Fran for Sales Trip',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-26T19:00:00.000Z'),
endDate: new Date('2021-04-26T20:00:00.000Z'),
}, {
text: 'Install New Router in Dev Room',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-26T21:30:00.000Z'),
endDate: new Date('2021-04-26T22:30:00.000Z'),
}, {
text: 'Go Grocery Shopping',
priorityId: 1,
typeId: 1,
startDate: new Date('2021-04-27T01:30:00.000Z'),
endDate: new Date('2021-04-27T02:30:00.000Z'),
recurrenceRule: 'FREQ=DAILY;BYDAY=MO,WE,FR;UNTIL=20210502',
}, {
text: 'Approve Personal Computer Upgrade Plan',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-27T17:00:00.000Z'),
endDate: new Date('2021-04-27T18:00:00.000Z'),
}, {
text: 'Final Budget Review',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-27T19:00:00.000Z'),
endDate: new Date('2021-04-27T20:35:00.000Z'),
}, {
text: 'New Brochures',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-27T21:30:00.000Z'),
endDate: new Date('2021-04-27T22:45:00.000Z'),
}, {
text: 'Install New Database',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-28T16:45:00.000Z'),
endDate: new Date('2021-04-28T18:15:00.000Z'),
}, {
text: 'Approve New Online Marketing Strategy',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-28T19:00:00.000Z'),
endDate: new Date('2021-04-28T21:00:00.000Z'),
}, {
text: 'Upgrade Personal Computers',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-28T22:15:00.000Z'),
endDate: new Date('2021-04-28T23:30:00.000Z'),
}, {
text: 'Prepare 2021 Marketing Plan',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T20:30:00.000Z'),
}, {
text: 'Brochure Design Review',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-29T21:00:00.000Z'),
endDate: new Date('2021-04-29T22:30:00.000Z'),
}, {
text: 'Create Icons for Website',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-30T17:00:00.000Z'),
endDate: new Date('2021-04-30T18:30:00.000Z'),
}, {
text: 'Upgrade Server Hardware',
priorityId: 1,
typeId: 2,
startDate: new Date('2021-04-30T21:30:00.000Z'),
endDate: new Date('2021-04-30T23:00:00.000Z'),
}, {
text: 'Submit New Website Design',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-30T23:30:00.000Z'),
endDate: new Date('2021-05-01T01:00:00.000Z'),
}, {
text: 'Launch New Website',
priorityId: 2,
typeId: 2,
startDate: new Date('2021-04-30T19:20:00.000Z'),
endDate: new Date('2021-04-30T21:00:00.000Z'),
}, {
text: 'Visiting a Doctor',
priorityId: 2,
typeId: 1,
startDate: new Date('2021-05-01T17:00:00.000Z'),
endDate: new Date('2021-05-01T20:30:00.000Z'),
},
];
export const priorityData = [{
text: 'Low Priority',
id: 1,
color: '#fcb65e',
}, {
text: 'High Priority',
id: 2,
color: '#e18e92',
},
];
export const typeData = [{
text: 'Home',
id: 1,
color: '#b6d623',
}, {
text: 'Work',
id: 2,
color: '#679ec5',
},
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-react': 'npm:devextreme-react@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);